﻿/**
* Test GridContainer
* @author nutsu
* @version 0.1
*/

package  {

	import flash.display.Sprite;
	import flash.display.Shape;
	import nutsu.display.GridContainer;
	import nutsu.display.GridLayout;
	
	public class TestGridContainer extends Sprite{
		
		public function TestGridContainer(){
			super();
			
			//レイアウト設定(レイアウトルール,単位グリッド数）
			 var glayout:GridLayout = new GridLayout(GridLayout.HORIZONTAL,20);
			
			//グリッドコンテナ（レイアウト,グリッド幅,グリッド高)
			var container:GridContainer = new GridContainer( glayout, 20, 20 );
			addChild(container);
			
			for( var i:int=0;i<400;i++ ){
				var s:Shape = new Shape();
				var r:int = 0;
				var g:int = 50 + i%20 * 5;
				var b:int = i%20 * 10;
				s.graphics.beginFill( r<<16|g<<8|b );
				s.graphics.drawCircle( 0, 0, 9 );
				s.graphics.endFill();
				container.addChild( s );
			}
			
			container.x = 22;
			container.y = 22;
		}
	}
	
}
